ON_3dmConstructionPlane Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_3dm_settings.h>`

## Public Member Functions

| ON_3dmConstructionPlane ()
| ~ON_3dmConstructionPlane ()
void | Default ()
bool | Write (ON_BinaryArchive &) const
bool | Read (ON_BinaryArchive &)
void | Dump (ON_TextLog &text_log) const

## Public Attributes

ON_Plane | m_plane
double | m_grid_spacing
double | m_snap_spacing
int | m_grid_line_count
int | m_grid_thick_frequency
bool | m_bDepthBuffer
ON_wString | m_name

## Detailed Description

Definition at line 254 of file opennurbs_3dm_settings.h.

## Constructor & Destructor Documentation

## ON_3dmConstructionPlane()

ON_3dmConstructionPlane::ON_3dmConstructionPlane | ( |  | ) |

## ~ON_3dmConstructionPlane()

ON_3dmConstructionPlane::~ON_3dmConstructionPlane | ( |  | ) |

## Member Function Documentation

## Default()

void ON_3dmConstructionPlane::Default | ( |  | ) |

## Dump()

void ON_3dmConstructionPlane::Dump | ( | ON_TextLog & | text_log | ) | const

## Read()

bool ON_3dmConstructionPlane::Read | ( | ON_BinaryArchive & |  | ) |

## Write()

bool ON_3dmConstructionPlane::Write | ( | ON_BinaryArchive & |  | ) | const

## Member Data Documentation

## m_bDepthBuffer

bool ON_3dmConstructionPlane::m_bDepthBuffer

Definition at line 283 of file opennurbs_3dm_settings.h.

## m_grid_line_count

int ON_3dmConstructionPlane::m_grid_line_count

Definition at line 278 of file opennurbs_3dm_settings.h.

## m_grid_spacing

double ON_3dmConstructionPlane::m_grid_spacing

Definition at line 274 of file opennurbs_3dm_settings.h.

## m_grid_thick_frequency

int ON_3dmConstructionPlane::m_grid_thick_frequency

Definition at line 279 of file opennurbs_3dm_settings.h.

## m_name

ON_wString ON_3dmConstructionPlane::m_name

Definition at line 287 of file opennurbs_3dm_settings.h.

## m_plane

ON_Plane ON_3dmConstructionPlane::m_plane

Definition at line 271 of file opennurbs_3dm_settings.h.

## m_snap_spacing

double ON_3dmConstructionPlane::m_snap_spacing

Definition at line 275 of file opennurbs_3dm_settings.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_3dm_settings.h